
%define korganizer_core_major 5
%define libkorganizer_core %mklibname korganizer_core %korganizer_core_major
%define korganizer_interfaces_major 5
%define libkorganizer_interfaces %mklibname korganizer_interfaces %korganizer_interfaces_major
%define korganizerprivate_major 5
%define libkorganizerprivate %mklibname korganizerprivate %korganizerprivate_major
%define devel %mklibname %name -d 

Name:       korganizer
Summary:    Calendar and scheduling component
Version: 	23.08.5
Release:    %mkrel 1
Group:      Graphical desktop/KDE5
License:    GPLv2
URL:        http://www.kde.org/
Source0:    http://download.kde.org/stable/applications/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64boost-devel 
BuildRequires: lib64ical-devel 
BuildRequires: lib64kcodecs-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5akonadicalendar5 
BuildRequires: lib64kf5akonadicalendar-devel 
BuildRequires: lib64kf5akonadicontact-devel 
BuildRequires: lib64kf5akonadi-devel 
BuildRequires: lib64kf5akonadimime-devel 
BuildRequires: lib64kf5akonadinotes5 
BuildRequires: lib64kf5akonadinotes-devel 
BuildRequires: lib64kf5akonadisearch-devel 
BuildRequires: lib64kf5auth-devel 
BuildRequires: lib64kf5calendarcore-devel 
BuildRequires: lib64kf5calendarsupport-devel 
BuildRequires: lib64kf5calendarutils-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5dbusaddons-devel 
BuildRequires: lib64kf5eventviews-devel 
BuildRequires: lib64kf5holidays-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5identitymanagement-devel 
BuildRequires: lib64kf5imap-devel 
BuildRequires: lib64kf5incidenceeditor-devel 
BuildRequires: lib64kf5jobwidgets-devel 
BuildRequires: lib64kf5kcmutils-devel 
BuildRequires: lib64kf5kcontacts-devel 
BuildRequires: lib64kf5kdelibs4support-devel 
BuildRequires: lib64kf5kontactinterface-devel 
BuildRequires: lib64kf5ldap-devel 
BuildRequires: lib64kf5libkdepim-devel 
BuildRequires: lib64kf5mailcommon-devel 
BuildRequires: lib64kf5mailtransport-devel 
BuildRequires: lib64kf5mime-devel 
BuildRequires: lib64kf5newstuff-devel 
BuildRequires: lib64kf5notifications-devel 
BuildRequires: lib64kf5parts-devel 
BuildRequires: lib64kf5pimcommon-devel 
BuildRequires: lib64kf5pimtextedit-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5windowsystem-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kio-devel 
BuildRequires: lib64kitemmodels-devel 
BuildRequires: lib64kitemviews-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5dbus-devel 
BuildRequires: lib64qt5designer-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: libxml2-utils 
BuildRequires: phonon4qt5-devel 
BuildRequires: pkgconfig 
BuildRequires: qtbase5-common-devel 

Requires: akonadi-kde
Requires: qtwebengine5
Requires: lib64kf5messagecomposer5

%description
KOrganizer provides management of events and tasks, alarm notification,
web export, network transparent handling of data, group scheduling,
import and export of calendar files and more. It is able to work together
with a wide variety of groupware servers, for example Kolab, Open-Xchange,
Citadel or OpenGroupware.org.

%files
%exclude %_kf5_docdir/HTML
%exclude %_kf5_libdir/*.so
%{_bindir}
%{_datadir}
%{_libdir}

%package -n %devel
Summary: Devel stuff for %name
Group: Development/Libraries
Requires: %name

%description  -n %devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %devel
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%package -n korganizer-handbook
Summary: Korganizer Handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description -n korganizer-handbook
This package provides korganizer handbook.

%files -n korganizer-handbook
%_kf5_docdir/HTML

#------------------------------------------------------------------------------

%prep
%setup -q

%build

export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

sd "SingleMainWindow=true" ""  %buildroot/%_kf5_datadir/applications/*.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office-Accessories" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

